#!/bin/sh

LOGS_DIR=logs/
PAUSE=0.2

run_scheduler_tests() {
	sos_emulator -t 1000 -n 20 -p 30 99 -a $2 --no-snooze >$1/sos_emulator_output_20_30-99_$2.txt
	sleep $PAUSE
	sos_emulator -t 1000 -n 20 -p 80 99 -a $2 --no-snooze >$1/sos_emulator_output_20_80-99_$2.txt
	sleep $PAUSE
	sos_emulator -t 1000 -n 20 -p 90 99 -a $2 --no-snooze >$1/sos_emulator_output_20_93-99_$2.txt
	sleep $PAUSE
}

cd "$(dirname "$0")"

alert --warning "During tests system can hang up for a while. To get most accurate results quit all other applications and don't run any tasks until tests finish." "Begin" "Cancel">/dev/null 2>&1
result=$?

if [ $result -eq 0 ]
then
	for a in $( sos_emulator --list ) ; do
		mkdir $LOGS_DIR>/dev/null 2>&1
		run_scheduler_tests $LOGS_DIR $a
	done
	alert --info "Finished. Feel free to examine logs." "OK">/dev/null 2>&1
fi
