/*
	(c) Mikhail Panasyuk aka BeAR, 2009. E-mail: otoko@yandex.ru

	Contains portions of NewOS kernel code:

	Copyright 2001-2002, Travis Geiselbrecht. All rights reserved. 
	Distributed under the terms of the NewOS License. 
*/

// sos_sched.h

#ifndef _SOS_SCHED_H
#define _SOS_SCHED_H

#include <OS.h>

struct thread {
	thread_id		id;
	int				priority;
	int64			counter;
	thread_state	state;
	thread_state	next_state;
	struct thread	*queue_next;
};

struct thread_queue {
   struct thread *head;
   struct thread *tail;
};

#ifndef B_IDLE_PRIORITY
#define B_IDLE_PRIORITY 0
#endif

#ifndef B_FIRST_REAL_TIME_PRIORITY
#define B_FIRST_REAL_TIME_PRIORITY 100
#endif

#endif /* _SOS_SCHED_H */
